
% --------------------- Torque generation's Hybrid Model -----------------------

% pumping and friction torque (Nm):
T_p = 20;

% --------------------- Power-train's Linear Model -----------------------

% crankshaft momentum of inertia with clutch open (Kg*m2):
Jo = 0.9;

% crankshaft momentum of inertia with clutch closed (Kg*m2):
Jc = 1.0472;

% crankshaft viscosity coefficient (Kg*m2*sec):
B = 0.016033;

% -------------------------- State and Input variables at Initial Set Point --------------------------------------------

% crank revolution speed (RPM):
n0 = 800;
n_out = n0*pi/30;

% Maximum torque
Tm = 21.34; 

% Initial load torque
T_l0 = 0;

% variables for Stateflow charts

thetad = 0;