
% --------------------- Torque generation's Hybrid Model -----------------------

% pumping and friction torque (Nm):
T_p = 20;

% --------------------- Power-train's Linear Model -----------------------

% crankshaft momentum of inertia with clutch open (Kg*m2):
Jo = 0.9;

% crankshaft viscosity coefficient (Kg*m2*sec):
B = 0.016033;

% -------------------------- State and Input variables at Initial Set Point --------------------------------------------

% crank revolution speed (RPM):
n0 = 800;

% Maximum torque
Tm = 22.2; 

% Experiment
T_init = Tm;
T_final = 0.961*Tm;
T_step_time = 0.11;

Tl_init = 0.866;
Tl_final = 0;
Tl_step_time = 0.11;

% variables for Stateflow charts
thetad = 0;